﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Interface
{
	public class Singleton<T> where T : class, new()
	{
		private static readonly Lazy<T> instance = new Lazy<T>(() => new T());

		public Singleton() { }

		public static T Instance
		{
			get
			{
				return instance.Value;
			}
		}
	}

}
